apiVersion: v1
kind: Service
metadata:
    name: test-service
spec:
    type: NodePort
    selector:
        app: ENC[AES256_GCM,data:2BdOeKd/KqDZOou3YQ==,iv:WY3SbLhGUGm2pxbGi4chFbg0fR7vYGPztBUW/PBhAfs=,tag:Y+G4gC0tIqAsYEjRKojbkA==,type:str]
    ports:
        - port: ENC[AES256_GCM,data:2l8=,iv:9Y7i4V4MrCMiugQ+6uSaShzN/xx+D2JCniiXKkzf1Ks=,tag:QjDrBFJM4lpzxa78MhmX2w==,type:int]
          targetPort: ENC[AES256_GCM,data:Y6I=,iv:NOC8dHD1mzH/KNgTiFXtrp9xkGqINvUK8WO7rQs1590=,tag:fRrZuB6MblS2fPrtIfzaQQ==,type:int]
sops:
    kms: []
    gcp_kms: []
    azure_kv: []
    hc_vault: []
    age:
        - recipient: age1u0mt3kmhsr9tz2jaw8n0ztu7s9hnlffkd2acxf85cvk6tysj4gsqqulfdq
          enc: |
            -----BEGIN AGE ENCRYPTED FILE-----
            YWdlLWVuY3J5cHRpb24ub3JnL3YxCi0+IFgyNTUxOSBSZ1FtbW5Gc0YrVXlJTHVt
            OGN1c2syNWI4bmV1MkJwUkZCNnhseSsvZ1VrCkNHa1FBUmNtYW5meGhXQXhKeE15
            b2RFT1BQcUVQaVQweDFjdzNYVkxQY28KLS0tIGNhU1NwL2JKRklRZU91d3kxOTc5
            WlRNZjUrR2J1UE81YWl1OFQ5ZzRZSkUKTAGlF6qwkJpUzI5BpD/hIoP1cTCIkNvD
            a0/bg8tqOGhHOc7B3eWtEoEHnxRSdXHpMfFzsSh9DSbkW/HQzINBqw==
            -----END AGE ENCRYPTED FILE-----
    lastmodified: "2025-06-29T21:30:59Z"
    mac: ENC[AES256_GCM,data:bwq0j/vKCjnhViS6K08a0qHl9eloxuen0TqUKnK4hNGjdyRkVBclCSEBQdLuKoaBjeELKYtQwpm+Z7fjMQiDvcKn0f9m1+GNIMIIUfq4D5vellcGuPZQPfmAEl11v5IMzopCeglC1ycj+HHFC9K+qwUTnY2P3/yQthCifSoBGUg=,iv:6cgYlKLWMCYUj+VdnEsJt/oh60VvcJGm1HxcCfztXtk=,tag:vfeAfTV/3I7SAplYjG1JWg==,type:str]
    pgp: []
    unencrypted_regex: ^(apiVersion|metadata|kind|type)$
    version: 3.9.1
---
apiVersion: apps/v1
kind: Deployment
metadata:
    name: test-deployment
spec:
    replicas: ENC[AES256_GCM,data:VQ==,iv:nKrvPfZMDOpDu0eG6d3I7dqsxPFLxHIn0D4nJBUkbXo=,tag:I/TZyZQ3A9sJARYk/Vy0gQ==,type:int]
    selector:
        matchLabels:
            app: ENC[AES256_GCM,data:3sihQ0uCrF8DyqfIeA==,iv:m73F+5Y9D+1V0+oBp1aTqvm28qzXb/OylNuKlQvOMtQ=,tag:D6rG/dqw2AFo1MaXijVDHg==,type:str]
    template:
        metadata:
            labels:
                app: example-nginx
        spec:
            containers:
                - name: ENC[AES256_GCM,data:55gNnp4yG931zwU7G5JWdN93nYpbXg==,iv:kMmivRTFrR0nQPypxuuXKWxJWUUWoKwJF1VWAe8zTIU=,tag:pZ9nJW9z1jkvVVy/U87H9Q==,type:str]
                  image: ENC[AES256_GCM,data:5hsn9HqEDSj/1rDpdvnMJ5nwIi7Lz1KOY4i9fS5Fjlpvehj53z3mUT+wqbkW7cS1O6A1PA==,iv:2UcaoyE14KpZ83Jh2nQTh10tdWY1JrS5U13munH9zLA=,tag:SXHXR+W/hoYVFgoDIFe/qg==,type:str]
                  imagePullPolicy: ENC[AES256_GCM,data:xn88QGmj,iv:70SUcIGLsnZmUh3kOs7laVcNDJnzDS9EvvN0IPM+xs4=,tag:oIqhcGoMbLuEKJC06lhGdA==,type:str]
                  ports:
                    - containerPort: ENC[AES256_GCM,data:Ri4=,iv:Tb3Sd13R1ieXTgqAseTBEmS+eRumckHgjuhL/W9iW7w=,tag:hmZGZlJaFGeZ6fsF7sFFMw==,type:int]
            imagePullSecrets:
                - name: ENC[AES256_GCM,data:AsM7IMM2RiCi6FoUO1Q3jiVSZCEINA==,iv:B3ixkSdzJqKvnLAwhBWt3PtcgVHpyUQ3oJ+B+xh4r28=,tag:zfg3Aeb+E/m3V7YRDQ+zqw==,type:str]
sops:
    kms: []
    gcp_kms: []
    azure_kv: []
    hc_vault: []
    age:
        - recipient: age1u0mt3kmhsr9tz2jaw8n0ztu7s9hnlffkd2acxf85cvk6tysj4gsqqulfdq
          enc: |
            -----BEGIN AGE ENCRYPTED FILE-----
            YWdlLWVuY3J5cHRpb24ub3JnL3YxCi0+IFgyNTUxOSBSZ1FtbW5Gc0YrVXlJTHVt
            OGN1c2syNWI4bmV1MkJwUkZCNnhseSsvZ1VrCkNHa1FBUmNtYW5meGhXQXhKeE15
            b2RFT1BQcUVQaVQweDFjdzNYVkxQY28KLS0tIGNhU1NwL2JKRklRZU91d3kxOTc5
            WlRNZjUrR2J1UE81YWl1OFQ5ZzRZSkUKTAGlF6qwkJpUzI5BpD/hIoP1cTCIkNvD
            a0/bg8tqOGhHOc7B3eWtEoEHnxRSdXHpMfFzsSh9DSbkW/HQzINBqw==
            -----END AGE ENCRYPTED FILE-----
    lastmodified: "2025-06-29T21:30:59Z"
    mac: ENC[AES256_GCM,data:bwq0j/vKCjnhViS6K08a0qHl9eloxuen0TqUKnK4hNGjdyRkVBclCSEBQdLuKoaBjeELKYtQwpm+Z7fjMQiDvcKn0f9m1+GNIMIIUfq4D5vellcGuPZQPfmAEl11v5IMzopCeglC1ycj+HHFC9K+qwUTnY2P3/yQthCifSoBGUg=,iv:6cgYlKLWMCYUj+VdnEsJt/oh60VvcJGm1HxcCfztXtk=,tag:vfeAfTV/3I7SAplYjG1JWg==,type:str]
    pgp: []
    unencrypted_regex: ^(apiVersion|metadata|kind|type)$
    version: 3.9.1
